### Function Macro

# Gimp MAIN

#### Declaration [src]

    #define GIMP_MAIN (
      plug_in_type
    )

#### Description [src]

A macro that expands to the appropriate `main()` function for the platform being compiled for.

To use this macro, simply place a line that contains just the code

GIMP_MAIN (MY_TYPE_PLUG_IN)

at the toplevel of your file. No semicolon should be used.

Available since: | 3.0
This function is not directly available to language bindings

#### Parameters

`plug_in_type` | `-`
| The `GType` of the plug-in’s `GimpPlugIn` subclass.